<?php

use Phinx\Migration\AbstractMigration;

class InsertZone extends AbstractMigration
{
    public function up()
    {
        $zone_taxe = array(
            array('zone_taxe_id' => '1','zone_taxe_nom' => 'Oui'),
            array('zone_taxe_id' => '2','zone_taxe_nom' => 'Non')
        );

        $this
            ->table('zone_taxe')
            ->insert($zone_taxe)
            ->save();

        $zone = array(
            array('zone_id' => '5','zone_rang' => '10','zone_taxe_id' => '1'),
            array('zone_id' => '20','zone_rang' => '20','zone_taxe_id' => '1'),
            array('zone_id' => '21','zone_rang' => '40','zone_taxe_id' => '2'),
            array('zone_id' => '22','zone_rang' => '50','zone_taxe_id' => '2'),
            array('zone_id' => '23','zone_rang' => '60','zone_taxe_id' => '2'),
            array('zone_id' => '24','zone_rang' => '30','zone_taxe_id' => '2')
        );

        $this
            ->table('zone')
            ->insert($zone)
            ->save();

        $zone_nom = array(
            array('zone_nom_id' => '1','zone_id' => '5','langue_id' => '1','zone_nom_nom' => 'France (Métropolitaine)'),
            array('zone_nom_id' => '13','zone_id' => '20','langue_id' => '1','zone_nom_nom' => 'Union Européenne'),
            array('zone_nom_id' => '14','zone_id' => '21','langue_id' => '1','zone_nom_nom' => 'International'),
            array('zone_nom_id' => '15','zone_id' => '22','langue_id' => '1','zone_nom_nom' => 'DOM'),
            array('zone_nom_id' => '16','zone_id' => '23','langue_id' => '1','zone_nom_nom' => 'TOM'),
            array('zone_nom_id' => '17','zone_id' => '24','langue_id' => '1','zone_nom_nom' => 'Europe hors UE')
        );

        $this
            ->table('zone_nom')
            ->insert($zone_nom)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('zone')
            ->truncate();
        $this
            ->table('zone_nom')
            ->truncate();
        $this
            ->table('zone_taxe')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
