<?php

namespace Auth;

use Symfony\Component\HttpFoundation\Response;
use Exception;

/**
 * AuthException class
 */
class AuthException extends Exception
{

    /**
     * @var \Symfony\Component\HttpFoundation\Response
     */
    protected $response;

    public function __construct(Response $response, $message = null, $code = 0, Exception $previous = null)
    {
        parent::__construct($message, $code, $previous);

        $this->response = $response;
    }

    /**
     * @return Response
     */
    public function getResponse()
    {
        return $this->response;
    }
}