<?php

namespace Auth;

use Symfony\Component\EventDispatcher\Event;
use Symfony\Component\HttpFoundation\RedirectResponse;

use Application;

class BackAuth {

    public function __construct()
    {

    }

    /**
     * Function for register callback when we need check role 'back'
     *
     * @param Event $event
     */
    public function register(Event $event)
    {
        $event->getAuth()
            ->register('back', array('Auth\\BackAuth', 'handle'));
    }

    /**
     *
     * @param Auth $auth
     * @param string $roleName
     *
     * @return bool|RedirectResponse
     */
    public function handle(Auth $auth, $roleName)
    {
        $request = $auth->getRequest();
        $module_page = $request->get('module');
        $value = 1;

        if (!isset($_SESSION['droit'][$module_page]['groupe_droit_somme'])) {
            return new RedirectResponse('/back');
        }
        if ((int) ($_SESSION['droit'][$module_page]['groupe_droit_somme']) & (int) ($value)) {
            return true; //il a le droit de faire l'action $value
        } else {
            return new RedirectResponse('/back');
        }
    }

}