<?php

namespace Controller;

use Breadcrumb;
use Form\ResetPasswdForm;
use Shopbydedi\Client;
use Texte;

use Symfony\Component\Routing\Annotation\Route;

/**
 * Class CustomerController
 * @package Controller
 *
 * @Route("")
 */
class CustomerController extends Controller {

    /**
     * @Route("/password_forgotten.html", name="oubli", methods = { "GET" })
     *
     */
    public function password()
    {
        $texte = new Texte;
        $bd = Breadcrumb::getInstance();
        $bd->add($texte->getOneOrCreate('mot_de_passe_oublie', "Mot de passe oublié ?"));

        $flashBag = $this->request->getSession()->getFlashBag();

        $tplVars = array();
        $keys = array("error", "success", "post");
        foreach($keys as $key){
            if($flashBag->has($key)) $tplVars[$key] = $flashBag->get($key);
        }

        return $this->render('password_forgotten.tpl', $tplVars);
    }

    /**
     * @Route("/password_forgotten.html", name="oubli_post", methods = { "POST" })
     *
     */
    public function password_reset()
    {
        $client = new Client();
        $texte = new Texte();
        $flashBag = $this->getFlashBag();
        $session = $this->getSession();

        // Verification de l'email
        $form = new ResetPasswdForm();
        if ($error = $form->handle($this->request)) {
            $flashBag->add("error", $error);
            return $this->redirect($this->generateUrl('oubli'));
        }

        $cooldown = $session->get("email_mdp_send", []);

        if (empty($cooldown) || time() > ($cooldown + 5)) {
            $session->set("email_mdp_send", time());

            $client->mailPassword(array("client_email" => $this->request->request->get("client_email")));

            if (!$flashBag->has("error")) {
                // mail sent with new password
                $flashBag->add("success",
                    $texte->getOneOrCreate("mdpResetSent", "Votre nouveau mot de passe a bien été envoyé.")
                );
            }
        } else {
            $flashBag->add("error",
                $texte->getOneOrCreate("mdpResetCooldown",
                    "Vous avez déjà réinitialisé votre mot de passe récemment. Veuillez patienter.")
            );
        }

        return $this->redirect($this->generateUrl('oubli'));
    }

}