<?php

namespace Form;

use Form\Constraint\Callback;
use Form\Constraint\Mail;
use Form\Constraint\NotBlank;

class ResetPasswdForm extends Form
{

    public function __construct()
    {
        parent::__construct();

        $this
            ->add(
                new Field(
                    "client_email",
                    array(
                        "not_empty" => new NotBlank(),
                        "mail_valid"      => new Mail(),
                        "mail_exists"      => new Callback(array("Client", "mailIsUsed")),
                    ),
                    array(
                        "not_empty" => "Vous devez renseigner votre adresse email.",
                        "mail_valid" => "Vous devez utiliser un email valide.",
                        "mail_exists" => "Cet email est introuvable.",
                    )
                )
            )
        ;
    }
}
